SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[DeleteEvaluationResults] (
	@Instance Varchar(50) = NULL,
	@IdInteraction Varchar(50) = NULL,
	@InteractionType varchar(50) = NULL,
	@IdEvaluationPlan Varchar(50) = NULL,
	@IdAgent Varchar(50) = NULL,
	@IdAuditor Varchar(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	DELETE FROM
		[dbo].[EvaluationResult]
	WHERE
		[Instance] = @Instance
		AND [IdInteraction] = @IdInteraction
		AND [InteractionType] = @InteractionType
		AND [IdEvaluationPlan] = @IdEvaluationPlan
		AND [IdAgent] = @IdAgent
		AND [IdAuditor] = @IdAuditor

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
