SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

-- [dbo].[DeleteProcessAudioByProcessIdInteractionId] 'inconcert', 'test201905274', '{0eba8530-1dd2-11b2-96fe-96884e041c49}, {7a7d5b1e-1dd2-11b2-b539-cc5557f92e52}', 1
CREATE PROCEDURE [dbo].[DeleteProcessAudioByProcessIdInteractionId]
(
	@VCC					VARCHAR(50),
	@ProcessId				VARCHAR(50),
	@ID						VARCHAR(MAX),
	@IsUpdate				VARCHAR(1)
)
AS
BEGIN
	SET NOCOUNT ON
	DECLARE @SQL VARCHAR(MAX)
	SET @SQL = '
		DELETE FROM [dbo].[ProcessAudio]
		WHERE [VCC] = ''' + @VCC + '''
		AND [ProcessId] = ''' + @ProcessId + '''
	'
	IF(@IsUpdate = 0)
	BEGIN
		-- Se utiliza para la eliminar interacciones donde el ID tenga este formato {guid}_{section}_{part}
		SET @SQL += '
			AND CONCAT([AudioId], ''_'', [Section], ''_'', [Part]) NOT IN(SELECT value FROM dbo.SplitString(''' + @ID + ''', '',''))
		'
	END
	ELSE
	BEGIN
		-- Se utiliza para la eliminar interacciones donde el ID tenga este formato {guid}. Utilizado para UpdateLinguisticProcess.
		SET @SQL += '
			AND [AudioId] NOT IN(SELECT value FROM dbo.SplitString(''' + @ID + ''', '',''))
		'
	END
	-- PRINT @SQL
	EXEC(@SQL)

	SELECT 1 AS 'result'

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
