SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetColumns] '38.127.113.216', 'GyT', 'Agencias', 1
CREATE PROCEDURE [dbo].[GetColumns]
(
@Ip Varchar(50), @Database Varchar(50), @Table Varchar(50), @Type Int
)
AS
BEGIN

	DECLARE @Sql NVARCHAR(MAX);

	IF(@Type = 0)  
	BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[TABLE_CATALOG]						''table_catalog'',
			[TABLE_NAME]						''table_name'',
			[COLUMN_NAME]						''column_name'',
			[DATA_TYPE]							''data_type''
		FROM [' + @Ip + ']' + '.' + @Database + '.INFORMATION_SCHEMA.COLUMNS WITH (NOLOCK)
		WHERE TABLE_NAME = ''' + @Table + ''''
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE IF(@Type = 1) 
	BEGIN
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[TABLE_CATALOG]						''table_catalog'',
			[TABLE_NAME]						''table_name'',
			[COLUMN_NAME]						''column_name'',
			[DATA_TYPE]							''data_type''
		FROM ' + @Database + '.INFORMATION_SCHEMA.COLUMNS (NOLOCK)
		WHERE TABLE_NAME = ''' + @Table + ''''
		SET @Sql += '
		SET NOCOUNT OFF'
	END  
	ELSE  
	BEGIN  
		SET @Sql = 'SELECT 1 AS ''result'''  
	END

	EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
