SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetEvaluationPlanTask] (
    @Instance Varchar(50) = NULL, @ID Varchar(50) = NULL
)
AS
BEGIN
SET NOCOUNT ON

	SELECT
		[ID]						'id',
		[IdEvaluationFormat]		'idEvaluationFormat',
		[FilterByContentQuery]		'filterByContentQuery',
		[FilterByContentQueryName]	'filterByContentQueryName'
	FROM
		[EvaluationPlan] (NOLOCK)
	WHERE
		[Instance] = @Instance
		AND [ID] = @ID

SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
