SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetGenericTemplateQueries] 'inconcert',''
CREATE PROCEDURE [dbo].[GetGenericTemplateQueries] (
	@VCC Varchar(50) = NULL, @TemplateId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[TemplateId]					'templateId',
		[ID]							'id',
		[Query]							'query',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [GenericTemplateQuery] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [TemplateId] = CASE WHEN ISNULL(@TemplateId, '') = '' THEN [TemplateId] ELSE @TemplateId END

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
