SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetProcessUsage]
(
	@VCC				VARCHAR(50),
	@ProcessId			VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	BEGIN
		-- Validar para Proceso. Avisar si esta en progreso.
		SELECT
			[Name]				'name'
		FROM
			[dbo].[Process]
		WHERE
			[VCC] = @VCC
			AND [Name] = @ProcessId
			AND [Status] NOT IN('COMPLETE', 'FAILED')
	END

	BEGIN
		-- Validar para Estudio. Avisar si esta asociado a un estudio.
		SELECT
			DISTINCT [Name]		'name'
		FROM
			[dbo].[Study]
		WHERE
			[VCC] = @VCC
			AND [ProcessId] = @ProcessId
	END

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
