SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

-- [dbo].[GetTemplateThemeItemById] 'inconcert', '2D6D3989-7F78-4DF9-BB72-61C696CBCCA8'
CREATE PROCEDURE [dbo].[GetTemplateThemeItemById]
(
	@VCC			VARCHAR(50),
	@ID				VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON
	
	SELECT
		[VCC]							'vcc', 
		[TemplateId]					'templateId',
		[TemplateThemeId]				'templateThemeId',
		[ID]							'id',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [dbo].[TemplateThemeItem]
	WHERE
		[VCC] = @VCC AND
		[ID] = @ID

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
