SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetUser] (
	@VCC Varchar(50) = NULL, @UserId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[ID]								'id',
		[Email] 							'email',
		[Firstname] 						'firstname',
		[Lastname] 							'lastname',
		[Role] 								'role',
		[Country] 							'country',
		[Language] 							'language',
		[TimeZone] 							'timeZone',
		[Preferences] 						'preferences',
		[IsSystemUser] 						'isSystemUser',
		[LimitClients] 						'limitClients',
		[API]								'api',
		[CreatedDate]						'createdDate',
		[CreatedByUserId]					'createdByUserId',
		[LastModifiedDate]					'lastModifiedDate',
		[LastModifiedByUserId]				'lastModifiedByUserId'
	FROM [User] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [ID] = @UserId
	
	EXEC [GetUserClient] @VCC, @UserId
	
	SET NOCOUNT OFF
END 
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
