SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [SaveAllegroGroup] 'inconcert', 'test5', 0, 'test5', '38.127.113.216', 0
CREATE PROCEDURE [dbo].[SaveAllegroGroup] (
	@VCC Varchar(50) = NULL, @Id Varchar(50) = NULL, @IsSystemGroup Varchar(50) = NULL, @Description Varchar(50) = NULL, @Ip Varchar(50) = NULL, @Type Int  
	)
AS
BEGIN

	DECLARE @Sql NVARCHAR(MAX);
	
	IF(@Type = 0)
	BEGIN  
		SET @Sql = '
		SET NOCOUNT ON
		IF EXISTS(
		SELECT [Id], [VCC] FROM [' + @Ip + ']' + '.mmprodat.dbo.[Group] WITH (NOLOCK)
		WHERE [VCC] = ''' + @VCC + '''
		AND [Id] = ''' + @Id + '''
		)
		BEGIN
			SELECT 1 AS ''result''
		END
		ELSE
		BEGIN
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[Group] ([Id], [IsSystemGroup], [Description], [VCC]) VALUES (''' + @Id + ''',''' + @IsSystemGroup + ''',''' + @Description + ''',''' + @VCC + ''');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''deleteflowdesigner'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''deletescriptinglauncher'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''deletewebdesignerlauncher'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''designwebdesigner'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''saveflowdesigner'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''savescriptinglauncher'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''savewebdesignerlauncher'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewentityscriptingdesigner'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewentityscriptinglauncher'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewentitywebdesignerlauncher'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewflowdesigner'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewscriptingdesigner'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewscriptinglauncher'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewwebdesignerlauncher'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewwebdesigner'',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupApplication] ([VCC], [GroupId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''designer'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupApplication] ([VCC], [GroupId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''webbrowser'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupApplication] ([VCC], [GroupId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''webdesigner'');
			INSERT INTO [' + @Ip + ']' + '.mmprodat.dbo.[GroupApplication] ([VCC], [GroupId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''dashboard'');
			SELECT 1 AS ''result''
		END	'
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE IF(@Type = 1) 
	BEGIN
		SET @Sql = '
		SET NOCOUNT ON
		IF EXISTS(
		SELECT [Id], [VCC] FROM mmprodat.dbo.[Group] (NOLOCK)
		WHERE [VCC] = ''' + @VCC + '''
		AND [Id] = ''' + @Id + '''
		)
		BEGIN
			SELECT 1 AS ''result''
		END
		ELSE
		BEGIN
			INSERT INTO mmprodat.dbo.[Group] ([Id], [IsSystemGroup], [Description], [VCC]) VALUES (''' + @Id + ''',''' + @IsSystemGroup + ''',''' + @Description + ''',''' + @VCC + ''');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''deleteflowdesigner'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''deletescriptinglauncher'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''deletewebdesignerlauncher'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''designwebdesigner'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''saveflowdesigner'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''savescriptinglauncher'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''savewebdesignerlauncher'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewentityscriptingdesigner'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewentityscriptinglauncher'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewentitywebdesignerlauncher'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewflowdesigner'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewscriptingdesigner'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewscriptinglauncher'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewwebdesignerlauncher'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupPermission] ([VCC], [GroupId], [ActionId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''viewwebdesigner'',''designer'');
			INSERT INTO mmprodat.dbo.[GroupApplication] ([VCC], [GroupId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''designer'');
			INSERT INTO mmprodat.dbo.[GroupApplication] ([VCC], [GroupId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''webbrowser'');
			INSERT INTO mmprodat.dbo.[GroupApplication] ([VCC], [GroupId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''webdesigner'');
			INSERT INTO mmprodat.dbo.[GroupApplication] ([VCC], [GroupId], [ApplicationId]) VALUES (''' + @VCC + ''',''' + @Id + ''',''dashboard'');
			SELECT 1 AS ''result''
		END	'
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE  
	BEGIN  
		SET @Sql = 'SELECT 1 AS ''result'''  
	END

	EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
