SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveEvaluationStatus]
(
	@VCC							VARCHAR(50) = NULL,
	@EvaluationPlanId				VARCHAR(50) = NULL,
	@InteractionId					VARCHAR(250) = NULL,
	@AuditorId						VARCHAR(50) = NULL,
	@Status							BIT = NULL,
	@Multiple						BIT = NULL,
	@LastModifiedByUserId			VARCHAR(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	--
	UPDATE [dbo].[AuditorEvaluationPlan]	
		SET [Status] = @Status,
			[LastModifiedByUserId] = @LastModifiedByUserId,
			[LastModifiedDate] = GETUTCDATE(),
			[TimeStamp] = GETUTCDATE()
		WHERE [Instance] = @VCC
			AND [IdEvaluationPlan] = @EvaluationPlanId
			AND [IdInteraction] = @InteractionId
			AND [IdAuditor] = CASE @Multiple WHEN 0 THEN @AuditorId ELSE [IdAuditor] END

	SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
