CREATE TABLE [dbo].[Environment] (
   [VCC] [varchar](50) NOT NULL ,
   [Name] [varchar](50) NOT NULL ,
   [Type] [varchar](50) NULL ,
   [Description] [varchar](200) NULL ,
   [FTPDirectory] [varchar](max) NULL ,
   [ApiHost] [varchar](50) NULL ,
   [ApiPort] [varchar](50) NULL ,
   [ApiUser] [varchar](50) NULL ,
   [ApiPassword] [varchar](50) NULL ,
   [DbDisabled] [bit] NULL   ,
   [DbServer] [varchar](50) NULL ,
   [DbPort] [varchar](50) NULL ,
   [DbUser] [varchar](50) NULL ,
   [DbPassword] [varchar](50) NULL ,
   [PbxDisabled] [bit] NULL   ,
   [PbxServer] [varchar](50) NULL ,
   [PbxPort] [varchar](50) NULL ,
   [PbxUser] [varchar](50) NULL ,
   [PbxPassword] [varchar](50) NULL ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_Environment] PRIMARY KEY CLUSTERED ([VCC], [Name])
)


GO
