CREATE TABLE [dbo].[ProcessAsyncInteraction] (
   [VCC] [varchar](50) NOT NULL ,
   [ProcessId] [varchar](50) NOT NULL ,
   [InteractionType] [varchar](50) NOT NULL ,
   [Campaign] [varchar](50) NULL ,
   [InteractionId] [varchar](250) NOT NULL ,
   [EndDate] [datetime] NOT NULL   ,
   [FormattedEndDate] [varchar](100) NULL ,
   [CreatedDate] [datetime] NULL 
      CONSTRAINT [DF_ProcessAsyncInteraction_CreatedDate] DEFAULT (getdate())  ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_ProcessAsyncInteraction_1] PRIMARY KEY CLUSTERED ([VCC], [ProcessId], [InteractionType], [InteractionId], [EndDate])
)


GO
