CREATE TABLE [dbo].[ProcessAudio] (
   [VCC] [varchar](50) NOT NULL ,
   [ProcessId] [varchar](50) NOT NULL ,
   [AudioId] [varchar](100) NOT NULL ,
   [Section] [numeric](5,0) NOT NULL  ,
   [Part] [numeric](5,0) NOT NULL  ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_ProcessAudio] PRIMARY KEY CLUSTERED ([VCC], [ProcessId], [AudioId], [Section], [Part])
)

CREATE  NONCLUSTERED INDEX [IX_ProcessAudio_AudioId_Section_Part] ON [dbo].[ProcessAudio] ([AudioId], [Section], [Part]) INCLUDE ([ProcessId])

GO
