CREATE TABLE [dbo].[Study] (
   [VCC] [varchar](50) NOT NULL ,
   [ProcessId] [varchar](50) NOT NULL ,
   [TemplateId] [varchar](50) NOT NULL ,
   [Name] [varchar](200) NOT NULL ,
   [Description] [varchar](100) NULL ,
   [Total] [int] NULL   ,
   [Progress] [int] NULL   ,
   [Error] [int] NULL   ,
   [Percentage] [float] NULL   ,
   [StatusDescription] [varchar](max) NULL ,
   [Status] [float] NULL   ,
   [Type] [varchar](50) NULL ,
   [LastQueryId] [varchar](50) NULL ,
   [ErrorMessage] [varchar](800) NULL ,
   [BatchStatus] [varchar](50) NULL ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_Study_1] PRIMARY KEY CLUSTERED ([VCC], [ProcessId], [TemplateId], [Name])
)


GO
