SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[DeleteAuditorEvaluationPlan] (
	@Instance Varchar(50) = NULL, @IdEvaluationPlan Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	DELETE
	    [AuditorEvaluationPlan]
	WHERE
	    [Instance] = @Instance
	    AND [IdEvaluationPlan] = @IdEvaluationPlan
		AND ISNULL([Completed], 0) = 0

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
