SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[DeleteStudy] (
	@VCC Varchar(50) = NULL, @StudyId Varchar(200) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	DELETE FROM [Study]
	WHERE [VCC] = @VCC
	AND [Name] = @StudyId
	
	DELETE FROM [StudyDetail]
	WHERE [VCC] = @VCC
	AND [StudyId] = @StudyId

	DELETE FROM [StudyResultSummary]
	WHERE [VCC] = @VCC
	AND [StudyId] = @StudyId

	DELETE FROM [StudyResultSummaryDetail]
	WHERE [VCC] = @VCC
	AND [StudyId] = @StudyId
		
    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
