SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetAbilityQueries] (
	@VCC VARCHAR(50) = NULL, 
	@AbilityId VARCHAR(100) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	--
	SELECT [AQ].[ID]												'id',
			[AQ].[QueryId]											'queryId',
			[AQ].[QueryContent]										'queryContent',
			[AQ].[AcceptancePercentage]								'acceptancePercentage',
			ISNULL([AQ].[AcceptancePercentage], 0) * 100			'acceptanceInteger',
			[AQ].[Order]											'order'
		FROM [dbo].[AbilityQuery] AQ (NOLOCK)
		WHERE [AQ].[VCC] = @VCC
			AND [AQ].[AbilityId] = @AbilityId
		ORDER BY [AQ].[Order] ASC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
