SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetAbilityQueryEntities] (
	@VCC VARCHAR(50) = NULL, 
	@AbilityQueryId VARCHAR(100) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	--
	SELECT [AQE].[EntityId]										'entityId',
			[AQE].[EntityName]									'entityName',
			[AQE].[AcceptancePercentage]						'acceptancePercentage',
			ISNULL([AQE].[AcceptancePercentage], 0) * 100		'acceptanceInteger',
			[AQE].[Order]										'order'
		FROM [dbo].[AbilityQueryEntity] AQE (NOLOCK)
		WHERE [AQE].[VCC] = @VCC
			AND [AQE].[AbilityQueryId] = @AbilityQueryId
		ORDER BY [AQE].[Order] ASC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
