SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetAllegroAgents] (
	@Ip VARCHAR(50), 
	@VCC VARCHAR(50), 
	@Type INT, 
	@Campaign VARCHAR(50) = NULL
) AS
BEGIN

	-- DECLARAMOS UNA VARIABLE PARA LA QUERY A EJECUTAR
	DECLARE @Sql NVARCHAR(MAX)

	IF (@Type = 0)  
	BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
				UC.[VCC]							''vcc'',
				UC.[CampaignId]						''campaignId'',
				UC.[UserId]							''userId'',
				U.[Name]							''userName''
			FROM [' + @Ip + '].[mmprodat].[dbo].[Agent]  A (NOLOCK)
			LEFT JOIN [' + @Ip + '].[mmprodat].[dbo].[User] U (NOLOCK)
				ON U.[VCC] = A.[VCC]
					AND U.[Id] = A.[UserId]
			LEFT JOIN [' + @Ip + '].[mmprodat].[dbo].[UserCampaign] UC (NOLOCK) 
				ON UC.VCC = A.VCC 
					AND UC.UserId = A.UserId
			WHERE UC.[VCC] = ''' + @VCC + ''''

		IF(@Campaign IS NOT NULL and @Campaign <> '')
			SET @Sql += 'AND UC.[CampaignId] = '''+@Campaign+''' ';

		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE IF(@Type = 1) 
	BEGIN
		SET @Sql = 'SET NOCOUNT ON
		SELECT
				UC.[VCC]							''vcc'',
				UC.[CampaignId]						''campaignId'',
				UC.[UserId]							''userId'',
				U.[Name]							''userName''
			FROM [mmprodat].[dbo].[Agent] A (NOLOCK)
			LEFT JOIN [mmprodat].[dbo].[User] U (NOLOCK)
				ON U.[VCC] = A.[VCC]
					AND U.[Id] = A.[UserId]
			LEFT JOIN [mmprodat].[dbo].[UserCampaign] UC (NOLOCK) 
				ON UC.VCC = A.VCC 
					AND uc.UserId = A.UserId
			WHERE UC.[VCC] = ''' + @VCC + ''''

		IF(@Campaign IS NOT NULL and @Campaign <> '')
			SET @Sql += 'AND UC.[CampaignId] = '''+@Campaign+''' ';

		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE  
	BEGIN
		SET @Sql = 'SELECT 1 AS ''result'''  
	END

	--select @Sql
	EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
