SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetAzureSubscription] (
	@VCC VARCHAR(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
	
	SELECT [AS].[VCC]								'vcc',
			[AS].[AzureSubscription]				'azureSubscription',
			[AS].[ResourceGroup]					'resourceGroup',
			[AS].[AccountName]						'accountName'
	FROM [dbo].[AzureSubscription] [AS] (NOLOCK)
	WHERE [AS].[VCC] = @VCC

 	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
