SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCustomFieldResults] (
	@VCC VARCHAR(50) = NULL,
	@CustomFieldId VARCHAR(100) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	SELECT CFR.[ID]							'id',
			CFR.[Description]				'description',
			CFR.[Order]						'order'
		FROM [CustomFieldResult] CFR (NOLOCK)
		WHERE CFR.[VCC] = @VCC
			AND CFR.[CustomFieldId] = @CustomFieldId
		ORDER BY CFR.[Order] ASC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
