SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEvaluationFormatCustomFields] (
	@VCC VARCHAR(50) = NULL, 
	@EvaluationFormatId VARCHAR(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	-- 
	SELECT EFCF.[VCC]								'vcc',
			EFCF.[ID]								'id',
			EFCF.[CustomFieldId]					'customFieldId',
			EFCF.[Order]							'order'
		FROM [dbo].[EvaluationFormatCustomField] EFCF (NOLOCK)
		WHERE EFCF.[VCC] = @VCC 
			AND EFCF.[EvaluationFormatId] = @EvaluationFormatId
		ORDER BY EFCF.[Order] ASC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
