SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetFinishedBatch] 
AS
BEGIN
	-- ESTE SP TIENE LA FINALIDAD DE RETORNAR LOS BATCH QUE HAN SIDO FINALIZADOS HACE MAS DE 5 MINUTOS
	SET NOCOUNT ON

	SELECT B.[VCC]				'vcc',
		B.[BatchTypeName]		'batchTypeName',
		B.[BatchTypeId]			'batchTypeId',
		B.[ClosedDate]			'closedDate'
	FROM [dbo].[Batch] B (NOLOCK)
	WHERE B.[IsFinished] = 1 
		AND B.[FinishReported] = 0
		AND B.[LastModifiedDate] < DATEADD(MINUTE, -5, GETUTCDATE())

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
