SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetScores] (
	@Instance Varchar(50) = NULL, @IdAbility Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[ID]							'id',
		[IdAbility]						'idAbility',
		[Description]					'description',
		[Value]				            'value'
	FROM [Score] (NOLOCK)
	WHERE [Instance] = @Instance
	AND [IdAbility] = @IdAbility
	ORDER BY Value DESC
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
