SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetStudy] 'default',''
CREATE PROCEDURE [dbo].[GetStudy] (
	@VCC Varchar(50) = NULL,		@StudyId Varchar(200) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[ProcessId]						'processId',
		[TemplateId]					'templateId',
		[Name]						    'name',
		[Description]					'description',
		[Status]						'status',
		[LastQueryId]					'lastQueryId',
		[ErrorMessage]					'errorMessage',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Study] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [Name] = @StudyId
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
