SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--[dbo].[GetUserAccessTokenByRealm] 'system', 'system'
CREATE PROCEDURE [dbo].[GetUserAccessTokenByRealm]
(
	@VCC					VARCHAR(50),
	@Realm					VARCHAR(100)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
	[VCC]					'vcc',
	[Realm]					'realm',
	[UserName]				'userName',
	[AccessToken]			'accessToken',
	[CreatedDate]			'createdDate'
	FROM UserAccessToken (NOLOCK)
	WHERE [VCC] = @VCC 
	AND [Realm] = @Realm

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
