SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveRolePermission] (
	@VCC Varchar(50) = NULL, @RoleId Varchar(50) = NULL, @GroupId Varchar(200) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [RolePermission] SET
		[TimeStamp] = GETUTCDATE()
	WHERE [VCC] = @VCC
	AND [RoleId] = @RoleId
	AND [GroupId] = @GroupId
	
    IF @@ROWCOUNT = 0
		INSERT INTO [RolePermission] (
			[VCC], [RoleId], [GroupId],
			[TimeStamp]
			)
		VALUES (
			@VCC, @RoleId, @GroupId,
			GETUTCDATE()	
		)

    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
