SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveSpeechAnalyticAuditorUser] (
	@VCC Varchar(50) = NULL
) AS
BEGIN
    SET NOCOUNT ON

	-- DECLARAMOS UN FLAG PARA INDICAR SI EXISTE EL USUARIO SPEECH
	DECLARE @SPEECH_EXISTS BIT = 0
	
	-- VERIFICAMOS SI EL USUARIO SPEECH EXISTE EN EL VCC INGRESADO
	IF EXISTS (
		SELECT 1
			FROM [dbo].[User] U (NOLOCK)
			WHERE U.[VCC] = @VCC
				AND U.[ID] = 'speech'
	)
		SET @SPEECH_EXISTS = 1

	-- VALIDAMOS EL VALOR DEL FLAG
	IF @SPEECH_EXISTS = 0
	BEGIN
		-- INSERTAMOS EL USUARIO SPEECH EN EL VCC
		INSERT [dbo].[User] (
			[VCC], [ID], [Email], [Firstname], [Lastname], 
			[Password], [Role], [Country], [Language], [TimeZone], 
			[Preferences], [IsSystemUser], [LimitClients], [CreatedDate], [CreatedByUserId], 
			[LastModifiedDate], [LastModifiedByUserId], [TimeStamp]
		) VALUES (
			@VCC, N'speech', N'speech@inconcertcc.com', N'SPEECH', N'ANALYTIC', 
			N'289128e9a91391c0198705308a88ea5c', N'quality_auditor', N'PE', N'es', N'America/Mexico_City', N'{}', 
			1, 1, CAST(N'2016-08-09T17:36:45.647' AS DateTime), N'admin', GETUTCDATE(), 
			N'admin', GETUTCDATE()
		)
	END

	-- RETORNAMOS UN VALOR PARA EL RESULTADO
	SELECT 1 'result'

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
