SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

-- [dbo].[SaveStudyStatus] 'inconcert', 'procesoallegro33', 'test_custom', 'Estudio_Prueba', 0, 'D234FD3D-6F5E-499C-942E-1AD5B92EE368', ''
CREATE PROCEDURE [dbo].[SaveStudyStatus]
(
	@VCC					VARCHAR(50),
	@ProcessId				VARCHAR(50),
	@TemplateId				VARCHAR(50),
	@StudyId				VARCHAR(200),
	@Status					FLOAT,
	@LastQueryId			VARCHAR(50),
	@ErrorMessage			VARCHAR(800),
	@LastModifiedDate		DATETIME,
	@LastModifiedByUserId	VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [dbo].[Study] SET
		[Status] = @Status,
		[LastQueryId] = @LastQueryId,
		[ErrorMessage] = CASE WHEN @ErrorMessage = '' THEN NULL ELSE @ErrorMessage END,
		[LastModifiedDate] = @LastModifiedDate,
		[LastModifiedByUserId] = @LastModifiedByUserId,
		[TimeStamp] = GETUTCDATE()
	WHERE
		[VCC] = @VCC
		AND [ProcessId] = @ProcessId
		AND [TemplateId] = @TemplateId
		AND [Name] = @StudyId
	SELECT 1 AS 'result'

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
