CREATE TABLE [dbo].[Batch] (
   [ID] [varchar](100) NULL 
      CONSTRAINT [DF_Batch_ID] DEFAULT (newid()),
   [VCC] [varchar](50) NULL ,
   [BatchTypeName] [varchar](50) NOT NULL ,
   [BatchTypeId] [varchar](50) NULL ,
   [StartReported] [bit] NULL   ,
   [IsFinished] [bit] NULL 
      CONSTRAINT [DF_Batch_IsFinished] DEFAULT ((0))  ,
   [FinishReported] [bit] NULL 
      CONSTRAINT [DF_Batch_IsReported] DEFAULT ((0))  ,
   [CreatedDate] [datetime] NULL 
      CONSTRAINT [DF_Batch_CreatedDate] DEFAULT (getutcdate())  ,
   [ClosedDate] [datetime] NULL   ,
   [LastModifiedDate] [datetime] NULL   
)


GO
