CREATE TABLE [dbo].[EvaluationFormat] (
   [Instance] [varchar](50) NOT NULL ,
   [ID] [varchar](50) NOT NULL ,
   [Description] [varchar](100) NULL ,
   [type] [varchar](100) NULL ,
   [EnvironmentType] [varchar](50) NULL ,
   [MinAutomaticQualification] [numeric](5,2) NULL  ,
   [MinQualificationAcceptable] [numeric](5,2) NOT NULL  ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   ,
   [ManagementFormURL] [varchar](1000) NULL ,
   [Enabled] [bit] NULL   ,
   [templateId] [varchar](50) NULL 

   ,CONSTRAINT [PK_EvaluationFormat] PRIMARY KEY CLUSTERED ([Instance], [ID])
)


GO
