CREATE TABLE [dbo].[ProcessAudioSummary] (
   [VCC] [varchar](50) NOT NULL ,
   [ProcessId] [varchar](50) NOT NULL ,
   [ID] [varchar](50) NOT NULL 
      CONSTRAINT [DF_ProcessAudioSummary_ID] DEFAULT (newid()),
   [Category1] [varchar](100) NULL ,
   [Category2] [varchar](100) NULL ,
   [Category3] [varchar](100) NULL ,
   [Description] [varchar](100) NULL ,
   [Total] [int] NULL   ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_ProcessAudioSummary] PRIMARY KEY NONCLUSTERED ([VCC], [ProcessId], [ID])
)


GO
